STJERM(8)

NAME
stjerm - quake-style terminal emulator

SYNOPSIS
stjerm [-OPTION] [-OPTION] ... [-OPTION]

DESCRIPTION
stjerm is a quake-style terminal. It is minimalistic and works well with compiz. stjerm can be configured via commandline or the .Xdefaults file. The following list of options displays the .Xdefaults option first and then the commandline option. The commandline options have a higher priority and thus override the .Xdefaults options.

NOTES
If you run stjerm with an action it will not parse other commandline options and will exit. If you specify a hex color on the commandline you have to ommit the # char. Otherwise the option will not get parsed. This restriction only affects the commandline options, not the .Xdefaults options.

ACTIONS

--help
    Displays menu with commandline options.

--info
    Displays menu with .Xdefaults options.

--version
    Display the current application version.

--toggle
    Show/hide the current stjerm instance.

OPTIONS

key, -k
    Shortcut key which shows and hides stjerm (eg: f12). If you don't specify a shortcut key, you can only show/hide stjerm if you run stjerm with --toggle.

mod, -m
    Modifier key, which has to be pressed in combination with the shortcut key to show/hide stjerm : shift, control, alt, windows, none. Default: none.

keymod, -km
    Modifier for keyboard shortcuts. Can be a combination (with +) of modifiers (eg: control+alt). Default: control+shift.

autohide, -ah
    Whether or not to hide stjerm when it looses focus. Default: true.

font, -fn
    Terminal font and size (eg: Sans 10). Default: Bitstream Vera Sans Mono 10.

background, -bg
    Background color of the terminal. If the terminal is transparent this is the tint color. Default: Black.

foreground, -fg
    Foreground color of the terminal. This is the font color. Default: White.

allowbold, -ab
    Allow bold fonts or not. Default: true

border, -b
    Border type: thin, thick, none. Default: none.

opacity, -o
    Opacity (range: 10 - 100). If compositing is enabled stjerm will use real transparency. Otherwise you get pseudo-transparency.

bgimage, -bgimg
    Background image file. Specify the filename. Default: disabled.

width, -w
    Window width, either as an integer or a percentage (eg, 50%). Default: 800.

height, -h
    Window height, either as an integer or a percentage (eg, 50%). Default: 400.

position, -p
    Window position: top, bottom, left, right. Default: top.

scrollbar, -s
    Scrollbar position: left, right, none. Default: none.

shell, -sh
    Terminal shell. Default: the user's default shell.

lines, -l
    Scrollback lines. 0 to disable scrollback. Default: 1000.

showtab, -st
    Tabbar visibility: never, one, always. One means the tabbar is visible if more than one tab is opened. Default: one.

tabpos, -tp
    Tabbar position: top, bottom, left, right. Default: bottom.

tablabel, -tl
    Label of the tabs. The terminal number gets appended automatically. Default: term.

tabfill, -tf
    Whether tabs fill whole tabbar space. Default: true.

scroll, -sc
    Whether to scroll the terminal on output. Default: true.

colorX, -cX
    Specify color X of the terminals color palette. You may specify no palette, or a complete one with 16 total colors. For this you have to use -c0, -c1, ..., -c15 or the equivalent color0, color1,... color15.

fixedX, -fX
    Overrides the calculated horizontal position of the window. Specifies the location of the left of the window.

fixedY, -fY
    Overrides the calculated vertical position of the window. Specifies the location of the top of the window.

allowreorder, -ar
    Allows the tabs of the tab bar to be reordered.

EXAMPLES
To run stjerm with F12 as shortcut key, the opacity of 60 and a green foreground color, use: stjerm -k f12 -o 60 -fg 66ff11 To specify the same options in the .Xdefaults file, write this in your .Xdefaults file: stjerm.key: f12 stjerm.opacity: 60 stjerm.foreground: #66ff11

REPORTING BUGS
Report bugs to <stjerm-support@googlegroups.com>.

COPYRIGHT
Copyright © 2007-2011 Kristopher Wilson, Stjepan Glavina and Markus Gross This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.